Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.security.group
Class GroupIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<GroupID>
              com.bea.portal.tools.security.group.GroupIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class GroupIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<GroupID>

Builds and parses `GroupID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`GroupIDBuilder()` Constructor.

Method Summary
`GroupID` | `createResourceID()` Create the `GroupID`.
`String` | `getGroupName()` Get the name of the delegated administration role.
`ResourceID` | `getParentGroupID()` Get the parent `GroupID`.
`String` | `getTitle()` Get the title of the delegated administration role.
`GroupIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`GroupIDBuilder` | `setGroupName(String name)` Change the name of the delegated administration role.
`GroupIDBuilder` | `setParentGroupID(GroupID parentGroupID)` Change the parent `GroupID`.
`GroupIDBuilder` | `setTitle(String title)` Change the title of the delegated administration role.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupIDBuilder

    public GroupIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public GroupIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<GroupID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getParentGroupID

    public ResourceID getParentGroupID()

  Get the parent `GroupID`.

  Returns
    the parent `GroupID`

### setParentGroupID

    public GroupIDBuilder setParentGroupID(GroupID parentGroupID)

  Change the parent `GroupID`.

  Parameters
    `parentGroupID` - the parent `GroupID`
  Returns
    this `TaggedResourceIDBuilder`

### getGroupName

    public String getGroupName()

  Get the name of the delegated administration role.

  Returns
    the name of the delegated administration role

### setGroupName

    public GroupIDBuilder setGroupName(String name)

  Change the name of the delegated administration role.

  Parameters
    `name` - the name of the delegated administration role
  Returns
    this `GroupIDBuilder`

### getTitle

    public String getTitle()

  Get the title of the delegated administration role.

  Returns
    the title of the delegated administration role

### setTitle

    public GroupIDBuilder setTitle(String title)

  Change the title of the delegated administration role.

  Parameters
    `title` - the title of the delegated administration role
  Returns
    this `GroupIDBuilder`

### createResourceID

    public GroupID createResourceID()

  Create the `GroupID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<GroupID>`
  Returns
    the `GroupID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.